* {
    box-sizing: border-box;
}

html {
    font-size: 62.5%;
    scroll-behavior: smooth;
}

body {
    font-size: 1.6rem;
    font-family: "Poppins", sans-serif;
}

/* common */
a:hover{
    text-decoration: none;
}

.line-clamp {
  display: -webkit-box;
  -webkit-line-clamp: 2;
  -webkit-box-orient: vertical;  
  overflow: hidden;
}

.line-clamp-1 {
    display: -webkit-box;
    -webkit-line-clamp: 1;
    -webkit-box-orient: vertical;  
    overflow: hidden;
  }
/* Navbar */

.navbar {
    display: flex;
    justify-content: space-between;
    align-items: center;
}
.navbar .logo-img {
    width: 100px;
    border-radius: 10px;
}
.navbar-collapse i {
    font-size: 1.8rem;
    width: 25px;
    height: 25px;
    display: flex;
    justify-content: center;
    color: black;
}
.navbar-collapse {
    display: flex;
    justify-content: flex-end;
}
.navbar-collapse.show {
    justify-content: center;
    align-items: center;
}
.navbar .nav-item {
    margin: auto;
} 
.navbar .navbar-toggler {
    background-color: black;
}
.navbar #icon-cart {
    position: relative;
}
.navbar #icon-cart span {
    position: absolute;
    bottom: -3px;
    right: -5px;
}
.navbar #icon-user {
    position: relative;
}
.navbar .user-info {
    position: absolute;
    display: flex;
    flex-direction: column;
    top: 40px;
    left: -75px;
    width: 140px;
    background: #fff;
    border-radius: 8px;
    border: 1px solid black;
    padding: 15px;
}
.navbar .user-info i {
    display: inline-block;
}
.navbar .user-info a {
    display:block;
    font-size: 1.6rem;
    color: black;
    margin-bottom: 15px;
}
.navbar .user-info .btn-signout{
    padding: 4px 5px;
    color: white;
    background: black;
    border-radius: 5px;
}
.navbar #icon-search {
    position: relative;
}
.navbar #icon-search i{
    position: absolute;
    top: 5px;
    right: 5px;
    cursor: pointer;
}
.navbar .search-bar input {
    padding: 5px 10px;
    border-radius: 999px;
}
/* hero */
.hero {
    padding-top: 65px ;
    padding-bottom: 65px;
    background-color: black;
}

.hero .carousel-inner {
    position: relative;
}

.hero .info {
    display: flex;
    justify-content: space-between;
    gap: 20px;
}

.hero .carousel-item {
    transition: all 0.8s ease;
}
.hero .info .caption {
    width: 50%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: flex-start ;
    color: #ccc;
}

.hero .info .caption .sub-title {
    font-size: 2rem;
    font-weight: 600;
}

.hero .info .caption .title {
    margin-top: 25px;
    font-size: 4rem;
    font-weight: 600;
}

.hero .info .caption .desc {
    margin-top: 20px;
    font-size: 1.8rem;
    line-height: 1.5;
}

.hero .info .caption .btn-shop {
    margin-top: 20px;
    padding: 15px 20px;
    color: #fff;
    border: 1px solid white;
    font-weight : 600;
}
.hero .info .caption .btn-shop:hover {
    background-color: #cccccc81;
}
.hero .carousel-item img {
    width: 50%;
    height: 400px;
    object-fit: cover;
    border-radius: 10px;
}
.hero .carousel-control-prev,
.hero .carousel-control-next{
    display: inline-block;
    position: relative;
    top: 15px;
    background-color: rgba(0, 0, 0, 0.658);
    padding: 5px;
    border-radius: 999px;
}
.hero .carousel-control-next-icon{
    right: -100px;
}
.hero .carousel-control-prev-icon {
    left: -100px;
}

/* product */
.product {
    margin-top: 65px;
}
.product .title{
    font-size: 3rem;
}
.product .product-filter {
    margin-top: 20px;
}
.product .product-all a {
    margin-top: 10px;
    display: flex;
    align-items: center;
    justify-content: center;
    margin-left: auto;
    color: red;
    gap: 5px;
}
.product .product-filter button {
    padding: 10px 20px;
    background: #ccc;
    border-radius: 999px;
    border: none;
    margin-right: 10px;
    margin-top: 10px;
}
.product button.active {
    background: rgb(255, 166, 0);
    color: #fff;
}
.product .item a {
    width: 100%;
    display: block;
}
.product .item img {
    width: 100%;
    height: 250px;
    object-fit: cover;
    border-radius: 8px;
}

.product .item {
    display: flex;
    flex-direction: column ;
    align-items: flex-start;
    margin-top: 30px;
    border-radius: 8px;
    padding: 10px;
}

.product .item:hover {
    transform: translateY(-10px);
    box-shadow: 0px 18px 36px rgba(0, 0, 0, 0.1);
    transition: all 0.5s ease;
    outline: 1.5px solid red;
}

.product .product-name {
    margin-top: 30px;
    font-size: 2rem;
    font-weight: 500;
}
.product .price {
    margin-top: 20px;
    font-size: 2rem;
    color: red;
    font-weight: 500;
}
.product .stock {
    margin-top: 10px;
    font-size: 1.5rem;
    font-weight: 500;
    color: slategrey;
}
.product .discount {
    text-decoration: line-through;
    color: black;
}
.product .btn-more{
    margin-top: 50px;
}
.product .btn-see-more{
    padding: 15px 20px;
    background-color: black;
    color: #fff;
    border-radius: 5px;
}

.product .cart-block {
    width: 100%;
    margin-top: 10px;
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.product .cart-block .btn-add-cart {
    background-color: transparent;
    color: black;
    padding: 15px 20px;
    border: 1px solid black;
    border-radius: 999px;
}
.product .cart-block .btn-add-cart:hover {
    background-color: black;
    color: #fff;
}

.product .cart-block .fa-heart {
    color: palevioletred;
    margin-left: 10px;
    font-size: 3rem;
    cursor: pointer;
}
/* To the top */
.to-top {
    display: none;
    position: fixed;
    bottom: 20px;
    right: 20px;
    cursor: pointer;
    z-index: 99;
    background:#fff;
    padding: 5px;
    border-radius: 999px;
    outline: 1px solid black;
}
.to-top a {
    color: #000;
}
/* Store */
.stores {
    margin-top: 65px;
}
.stores .title {
    font-size: 3rem;
}

.stores .store-list {
    margin-top: 20px;
}
.stores .store-item {
    display: flex;
    justify-content: center;
    flex-direction: column;
    align-items: flex-start;
}
.store-list .store-title {
    width: 100%;
    font-size: 1.6rem;
    background: #dc3545;
    padding: 5px 10px;
    color: white;
    border-radius: 5px;
}
.store-list .address {
    color: rgb(139, 103, 56);
    margin-top: 15px;
    font-size: 1.5rem;
    padding: 5px 0;
    line-height: 1.3;
}
.store-list .phone {
    margin-top: 15px;
    font-size: 1.5rem;
    padding: 5px 0;
}
/* footer */
.footer {
    margin-top: 100px;
    padding-top: 100px;
    padding-bottom: 50px;
    background: #ccc;
}

.footer .footer-list {
    margin-top: 50px;
    display: flex;
    flex-direction: column;
    align-items: center;
}
.footer .footer-social{
margin-top: 120px;
}
.footer .footer-list .title {
    font-size: 2rem;
    font-weight: 600;
}

.footer .footer-list .desc {
    margin-top: 20px;
    font-size: 1.8rem;
    color: rgba(0, 0, 0, 0.658);
}
.footer .footer-social img{
    width: 150px;
    border-radius: 10px;
    object-fit: cover;
}

.footer .footer-social {
    display: flex;
    justify-content: flex-start;
    flex-direction: column;
    align-items: center;
}

.footer .social-block {
    margin-top: 20px;
    display: flex;
    justify-content: space-between;
    gap: 30px;
}
.footer .social-block a {
    font-size: 3rem;
    color: rgba(0, 0, 0, 0.8);
}

/* responsive */
@media only screen and (max-width: 1200px) {
    /* Product */
    .product .item img {
        height: 80px;
    }
    .product .product-name {
        margin-top: 15px;
        font-size: 1.2rem;
    }
    .product .price {
        margin-top: 20px;
        font-size: 1.2rem;
        color: red;
        font-weight: 500;
    }
}

@media only screen and (max-width: 992px) {
    .hero .info {
        flex-direction: column-reverse;
    }
    .hero .info img {
        width: 100%;
        height: 450px;
    }
    .hero .info .caption {
        width: 100%;
    }
}
@media only screen and (max-width: 768px) {
    /* hero */
    .hero .info img {
        height: 300px;
    }
    .hero .info .caption .title {
        font-size: 3rem;
    }
    /* To top */
    .to-top {
        display: block;
}
}
@media only screen and (max-width: 567px) {
    /* Hero */
    .hero .info img {
        height: 250px;
    }
    /* Navbar */
    .navbar #icon-cart span{
        bottom: 13px ;   
        right: -20px ;   
    }
}